사용자

구독 조회

GET /v1/users/{screen_name}/subscriptions reads 2 크레딧

계정이 구독하는 크리에이터, User 참조 형태.

쿼리 매개변수

쿼리 파라미터타입의미
countint 1–100 = 20요청 페이지 크기. X는 힌트로 취급
cursorstring이전 페이지의 next_cursor에서

응답

계정, User 참조 한 페이지, 커서(끝이면 null). 구독을 숨긴 계정은 빈 페이지를 반환합니다. 필드별 설명: User 참조.

상태: 200, 400, 404, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/cb_doge/subscriptions?count=20 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "user": {
    "id": "1389913567671975937",
    "screen_name": "cb_doge"
  },
  "users": [
    {
      "id": "44196397",
      "screen_name": "elonmusk",
      "name": "Elon Musk"
    },
    {
      "id": "…",
      "screen_name": "…",
      "name": "…"
    }
  ],
  "next_cursor": null
}